const fs = require('fs');
const path = require('path');
const YAML = require('yamljs');
const npm = require('./npm');

module.exports = {
  existsComposeFile : () => {
    const dockerPath = process.cwd() + '/docker-compose.yml';
    const exists = fs.existsSync(dockerPath);
    return exists;
  },
  createComposeFile : async (images, rootDir) => {
    try {
      const compose = fs.readFileSync(`${rootDir}/nodock-cli/node_modules/nodock/docker-compose.yml`, 'utf8');
      const composeJSON = YAML.parse(compose);
      const services = composeJSON.services;
      for (let key in services) {
        let deleteService = true;
        for (let item in images)
          if (key == images[item])
            deleteService = false;
        if (deleteService) delete composeJSON.services[key];
      }
      const yamlFile = YAML.stringify(composeJSON, 4);
      fs.writeFileSync('./docker-compose.yml', yamlFile);
      return true;
    } catch (err) {
      console.log(err)
      return false;
    }
  },
  directoryExists : (filePath) => {
    try {
      return fs.statSync(filePath).isDirectory();
    } catch (err) {
      return false;
    }
  },
  getImageDirectories : (rootDir) => {
    const path = `${rootDir}/node_modules/nodock/dockerfiles`;
    return fs.readdirSync(path).filter(function (file) {
      return fs.statSync(path+'/'+file).isDirectory();
    });
  }
};
