const inquirer = require('inquirer');
const files = require('./files');

module.exports = {
  async askImages (rootDir) {
    const questions = [
      {
        type: 'checkbox',
        name: 'images',
        message: 'What images do you need?',
        choices: files.getImageDirectories(rootDir),
      },
    ];
    return inquirer.prompt(questions);
  },
  async askOverwrite () {
    const questions = [
      {
        type: 'confirm',
        name: 'overwrite',
        message: 'Are you sure you want to overwrite the current docker-compose.yml file?',
      },
    ];
    return inquirer.prompt(questions);
  },
  async askOutdated () {
    const questions = [
      {
        type: 'confirm',
        name: 'update',
        message: 'There is a new version of nodock-cli would you like to update?',
      },
    ];
    return inquirer.prompt(questions);
  },
}
