const exec = require('child_process').exec;
const files = require('./files');
const script = require('./script');

module.exports = {
  async checkUpdate () {
    const { data, error } = await script.execute(`${__dirname}/scripts/npm-outdated.sh`);
    if (data != '\n') {
      const versions = JSON.parse(data)
      const currentVersion = versions['nodock-cli'].current
      const latestVersion = versions['nodock-cli'].latest
      if (currentVersion != latestVersion) return true
    }
    return false;
  },

  async doUpdate () {
    const response = await script.execute(`${__dirname}/scripts/npm-update.sh`);
    return true; //change
  },

  async getPath () {
    const response = await script.execute(`${__dirname}/scripts/npm-global-path.sh`);
    return response;
  },
}
